Up

# NSHelpManager

### Authors

Pedro Ivo Andrade Tavares (`ptavares@iname.com`)

> NSHelpManager is the class responsible for managing context help for the application, and its mapping to the graphic elements.

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSHelpManager class
2. Software documentation for the NSApplication(NSHelpManager) category
3. Software documentation for the NSBundle(NSHelpManager) category

# Software documentation for the NSHelpManager class

## NSHelpManager : NSObject

> Declared in:
>   AppKit/NSHelpManager.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +isContextHelpModeActive
- +setContextHelpModeActive:
- +sharedHelpManager
- -contextHelpForObject:
- -removeContextHelpForObject:
- -setContextHelp:withObject:
- -showContextHelpForObject:locationHint:

### isContextHelpModeActive

+ (BOOL) isContextHelpModeActive;

Description forthcoming.

### setContextHelpModeActive:

+ (void) setContextHelpModeActive: (BOOL)flag;

Description forthcoming.

### sharedHelpManager

+ (NSHelpManager*) sharedHelpManager;

Description forthcoming.

### contextHelpForObject:

- (NSAttributedString*) contextHelpForObject: (id)object;

Description forthcoming.

### removeContextHelpForObject:

- (void) removeContextHelpForObject: (id)object;

Description forthcoming.

### setContextHelp:withObject:

- (void) setContextHelp: (NSAttributedString*)help withObject: (id)object;

Description forthcoming.

### showContextHelpForObject:locationHint:

- (BOOL) showContextHelpForObject: (id)object locationHint: (NSPoint)point;

Description forthcoming.

# Software documentation for the NSApplication(NSHelpManager) category

## NSApplication(NSHelpManager)

> Declared in:
>   AppKit/NSHelpManager.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -activateContextHelpMode:
- -showHelp:

### activateContextHelpMode:

- (void) activateContextHelpMode: (id)sender;

Description forthcoming.

### showHelp:

- (void) showHelp: (id)sender;

Description forthcoming.

# Software documentation for the NSBundle(NSHelpManager) category

## NSBundle(NSHelpManager)

> Declared in:
>   AppKit/NSHelpManager.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -contextHelpForKey:

### contextHelpForKey:

- (NSAttributedString*) contextHelpForKey: (NSString*)key;

Description forthcoming.

Up